## flamerobin 0.9.3.6

=== CMakeLists.txt ===
project(flamerobin)
cmake_minimum_required(VERSION 3.0)

# Don't allow in-source builds. Keeps things nice and tidy
if( "${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}" )
   message( FATAL_ERROR
      "In-source builds not allowed.\n"
      "Create a new directory and run cmake from there, i.e.:\n"
      "  mkdir build\n"
      "  cd build\n"
      "  cmake ..\n"
      "You will need to delete CMakeCache.txt and CMakeFiles from this directory to clean up."
   )
endif()

set(CMAKE_CXX_STANDARD 14)

#--------------------------------------
# wxWidgets location

# Attempt to get wxWidgets root dir from environment, or user
# From command line you can:
#   cmake -DWXDIR:PATH=C:\path\to\wxWidgets ..
if (WIN32)
	message(STATUS "Checking for user suppllied wxWidgets location (WXDIR)...")
	if(DEFINED WXDIR)
		message(STATUS "User set the WXDIR property directly : ${WXDIR}")
	else ()
		if(DEFINED ENV{WXDIR})
			message(STATUS "Using the WXDIR environment variable : $ENV{WXDIR}")
			set(WXDIR $ENV{WXDIR} CACHE PATH "wxWidgits root dir")
		else ()
			message(WARNING "WXDIR has not been set!")
		endif ()
	endif()
	set(wxWidgets_ROOT_DIR ${WXDIR})
endif (WIN32)

# We want the wx static build, and Unicode support
set(wxWidgets_USE_STATIC ON)
set(wxWidgets_USE_UNICODE ON)

# Find the wxWidgets library
find_package(wxWidgets REQUIRED core base html xml aui stc adv OPTIONAL_COMPONENTS scintilla)
message(STATUS "wxWidgets version : ${wxWidgets_VERSION_STRING}")

# For wx3.0 the Scintilla lib is not present, but older wx find_package doesn't seem to
# understand this (even if marked optional), so we have to recheck, without Scintilla
if ( (${CMAKE_VERSION} VERSION_LESS "3.16") AND (${wxWidgets_VERSION_STRING} VERSION_LESS "3.1") )
	message(STATUS "Re-doing find_package for wx3.0 builds...")
	find_package(wxWidgets REQUIRED core base html xml aui stc adv)
endif ()

# Add wxWidgets to include path
include(${wxWidgets_USE_FILE})

#--------------------------------------
# Source files
set(SOURCEDIR src/) # Hold over from old build system, probably overkill, but doesn't hurt

# FlameRobin app source files
list(APPEND SOURCE_LIST
        ${SOURCEDIR}/addconstrainthandler.cpp
        ${SOURCEDIR}/config/Config.cpp
        ${SOURCEDIR}/config/DatabaseConfig.cpp
        ${SOURCEDIR}/core/ArtProvider.cpp
        ${SOURCEDIR}/core/CodeTemplateProcessor.cpp
        ${SOURCEDIR}/core/FRError.cpp
        ${SOURCEDIR}/core/Observer.cpp
        ${SOURCEDIR}/core/ProgressIndicator.cpp
        ${SOURCEDIR}/core/StringUtils.cpp
        ${SOURCEDIR}/core/Subject.cpp
        ${SOURCEDIR}/core/TemplateProcessor.cpp
        ${SOURCEDIR}/core/URIProcessor.cpp
        ${SOURCEDIR}/core/Visitor.cpp
        ${SOURCEDIR}/databasehandler.cpp
        ${SOURCEDIR}/engine/MetadataLoader.cpp
        ${SOURCEDIR}/frprec.cpp
        ${SOURCEDIR}/frutils.cpp
        ${SOURCEDIR}/gui/AboutBox.cpp
        ${SOURCEDIR}/gui/AdvancedMessageDialog.cpp
        ${SOURCEDIR}/gui/AdvancedSearchFrame.cpp
        ${SOURCEDIR}/gui/BackupFrame.cpp
        ${SOURCEDIR}/gui/BackupRestoreBaseFrame.cpp
        ${SOURCEDIR}/gui/BaseDialog.cpp
        ${SOURCEDIR}/gui/BaseFrame.cpp
        ${SOURCEDIR}/gui/CommandManager.cpp
        ${SOURCEDIR}/gui/ConfdefTemplateProcessor.cpp
        ${SOURCEDIR}/gui/ContextMenuMetadataItemVisitor.cpp
        ${SOURCEDIR}/gui/controls/ControlUtils.cpp
        ${SOURCEDIR}/gui/controls/DataGrid.cpp
        ${SOURCEDIR}/gui/controls/DataGridRowBuffer.cpp
        ${SOURCEDIR}/gui/controls/DataGridRows.cpp
        ${SOURCEDIR}/gui/controls/DataGridTable.cpp
        ${SOURCEDIR}/gui/controls/DBHTreeControl.cpp
        ${SOURCEDIR}/gui/controls/DndTextControls.cpp
        ${SOURCEDIR}/gui/controls/LogTextControl.cpp
        ${SOURCEDIR}/gui/controls/PrintableHtmlWindow.cpp
        ${SOURCEDIR}/gui/controls/TextControl.cpp
        ${SOURCEDIR}/gui/CreateIndexDialog.cpp
        ${SOURCEDIR}/gui/DataGeneratorFrame.cpp
        ${SOURCEDIR}/gui/DatabaseRegistrationDialog.cpp
        ${SOURCEDIR}/gui/EditBlobDialog.cpp
        ${SOURCEDIR}/gui/EventWatcherFrame.cpp
        ${SOURCEDIR}/gui/ExecuteSqlFrame.cpp
        ${SOURCEDIR}/gui/ExecuteSql.cpp
        ${SOURCEDIR}/gui/FieldPropertiesDialog.cpp
        ${SOURCEDIR}/gui/FindDialog.cpp
        ${SOURCEDIR}/gui/FRLayoutConfig.cpp
        ${SOURCEDIR}/gui/GUIURIHandlerHelper.cpp
        ${SOURCEDIR}/gui/HtmlHeaderMetadataItemVisitor.cpp
        ${SOURCEDIR}/gui/HtmlTemplateProcessor.cpp
        ${SOURCEDIR}/gui/InsertDialog.cpp
        ${SOURCEDIR}/gui/InsertParametersDialog.cpp
        ${SOURCEDIR}/gui/MainFrame.cpp
        ${SOURCEDIR}/gui/MetadataItemPropertiesFrame.cpp
        ${SOURCEDIR}/gui/MultilineEnterDialog.cpp
        ${SOURCEDIR}/gui/PreferencesDialog.cpp
        ${SOURCEDIR}/gui/PreferencesDialogSettings.cpp
        ${SOURCEDIR}/gui/PrivilegesDialog.cpp
        ${SOURCEDIR}/gui/ProgressDialog.cpp
        ${SOURCEDIR}/gui/ReorderFieldsDialog.cpp
        ${SOURCEDIR}/gui/RestoreFrame.cpp
        ${SOURCEDIR}/gui/ServerRegistrationDialog.cpp
        ${SOURCEDIR}/gui/SimpleHtmlFrame.cpp
        ${SOURCEDIR}/gui/StatementHistoryDialog.cpp
        ${SOURCEDIR}/gui/StyleGuide.cpp
        ${SOURCEDIR}/gui/UserDialog.cpp
        ${SOURCEDIR}/gui/UsernamePasswordDialog.cpp
        ${SOURCEDIR}/logger.cpp
        ${SOURCEDIR}/main.cpp
        ${SOURCEDIR}/MasterPassword.cpp
        ${SOURCEDIR}/metadata/column.cpp
        ${SOURCEDIR}/metadata/constraints.cpp
        ${SOURCEDIR}/metadata/CreateDDLVisitor.cpp
        ${SOURCEDIR}/metadata/database.cpp
        ${SOURCEDIR}/metadata/domain.cpp
        ${SOURCEDIR}/metadata/exception.cpp
        ${SOURCEDIR}/metadata/function.cpp
        ${SOURCEDIR}/metadata/generator.cpp
        ${SOURCEDIR}/metadata/Index.cpp
        ${SOURCEDIR}/metadata/metadataitem.cpp
        ${SOURCEDIR}/metadata/MetadataItemCreateStatementVisitor.cpp
        ${SOURCEDIR}/metadata/MetadataItemDescriptionVisitor.cpp
        ${SOURCEDIR}/metadata/MetadataItemURIHandlerHelper.cpp
        ${SOURCEDIR}/metadata/MetadataItemVisitor.cpp
        ${SOURCEDIR}/metadata/MetadataTemplateCmdHandler.cpp
        ${SOURCEDIR}/metadata/MetadataTemplateManager.cpp
        ${SOURCEDIR}/metadata/package.cpp
        ${SOURCEDIR}/metadata/parameter.cpp
        ${SOURCEDIR}/metadata/privilege.cpp
        ${SOURCEDIR}/metadata/procedure.cpp
        ${SOURCEDIR}/metadata/relation.cpp
        ${SOURCEDIR}/metadata/role.cpp
        ${SOURCEDIR}/metadata/root.cpp
        ${SOURCEDIR}/metadata/server.cpp
        ${SOURCEDIR}/metadata/table.cpp
        ${SOURCEDIR}/metadata/trigger.cpp
        ${SOURCEDIR}/metadata/User.cpp
        ${SOURCEDIR}/metadata/view.cpp
        ${SOURCEDIR}/objectdescriptionhandler.cpp
        ${SOURCEDIR}/sql/Identifier.cpp
        ${SOURCEDIR}/sql/IncompleteStatement.cpp
        ${SOURCEDIR}/sql/MultiStatement.cpp
        ${SOURCEDIR}/sql/SelectStatement.cpp
        ${SOURCEDIR}/sql/SqlStatement.cpp
        ${SOURCEDIR}/sql/SqlTokenizer.cpp
        ${SOURCEDIR}/sql/StatementBuilder.cpp
        ${SOURCEDIR}/statementHistory.cpp
)
list(APPEND HEADER_LIST
        ${SOURCEDIR}/config/Config.h
        ${SOURCEDIR}/config/DatabaseConfig.h
        ${SOURCEDIR}/core/ArtProvider.h
        ${SOURCEDIR}/core/CodeTemplateProcessor.h
        ${SOURCEDIR}/core/FRError.h
        ${SOURCEDIR}/core/ObjectWithHandle.h
        ${SOURCEDIR}/core/Observer.h
        ${SOURCEDIR}/core/ProcessableObject.h
        ${SOURCEDIR}/core/ProgressIndicator.h
        ${SOURCEDIR}/core/StringUtils.h
        ${SOURCEDIR}/core/Subject.h
        ${SOURCEDIR}/core/TemplateProcessor.h
        ${SOURCEDIR}/core/URIProcessor.h
        ${SOURCEDIR}/core/Visitor.h
        ${SOURCEDIR}/engine/MetadataLoader.h
        ${SOURCEDIR}/frutils.h
        ${SOURCEDIR}/frversion.h
        ${SOURCEDIR}/gui/AboutBox.h
        ${SOURCEDIR}/gui/AdvancedMessageDialog.h
        ${SOURCEDIR}/gui/AdvancedSearchFrame.h
        ${SOURCEDIR}/gui/BackupFrame.h
        ${SOURCEDIR}/gui/BackupRestoreBaseFrame.h
        ${SOURCEDIR}/gui/BaseDialog.h
        ${SOURCEDIR}/gui/BaseFrame.h
        ${SOURCEDIR}/gui/CommandIds.h
        ${SOURCEDIR}/gui/CommandManager.h
        ${SOURCEDIR}/gui/ConfdefTemplateProcessor.h
        ${SOURCEDIR}/gui/ContextMenuMetadataItemVisitor.h
        ${SOURCEDIR}/gui/controls/ControlUtils.h
        ${SOURCEDIR}/gui/controls/DataGrid.h
        ${SOURCEDIR}/gui/controls/DataGridRowBuffer.h
        ${SOURCEDIR}/gui/controls/DataGridRows.h
        ${SOURCEDIR}/gui/controls/DataGridTable.h
        ${SOURCEDIR}/gui/controls/DBHTreeControl.h
        ${SOURCEDIR}/gui/controls/DndTextControls.h
        ${SOURCEDIR}/gui/controls/LogTextControl.h
        ${SOURCEDIR}/gui/controls/PrintableHtmlWindow.h
        ${SOURCEDIR}/gui/controls/TextControl.h
        ${SOURCEDIR}/gui/CreateIndexDialog.h
        ${SOURCEDIR}/gui/DataGeneratorFrame.h
        ${SOURCEDIR}/gui/DatabaseRegistrationDialog.h
        ${SOURCEDIR}/gui/EditBlobDialog.h
        ${SOURCEDIR}/gui/EventWatcherFrame.h
        ${SOURCEDIR}/gui/ExecuteSqlFrame.h
        ${SOURCEDIR}/gui/ExecuteSql.h
        ${SOURCEDIR}/gui/FieldPropertiesDialog.h
        ${SOURCEDIR}/gui/FindDialog.h
        ${SOURCEDIR}/gui/FRLayoutConfig.h
        ${SOURCEDIR}/gui/HtmlHeaderMetadataItemVisitor.h
        ${SOURCEDIR}/gui/HtmlTemplateProcessor.h
        ${SOURCEDIR}/gui/GUIURIHandlerHelper.h
        ${SOURCEDIR}/gui/InsertDialog.h
        ${SOURCEDIR}/gui/InsertParametersDialog.h
        ${SOURCEDIR}/gui/MainFrame.h
        ${SOURCEDIR}/gui/MetadataItemPropertiesFrame.h
        ${SOURCEDIR}/gui/MultilineEnterDialog.h
        ${SOURCEDIR}/gui/PreferencesDialog.h
        ${SOURCEDIR}/gui/PrivilegesDialog.h
        ${SOURCEDIR}/gui/ProgressDialog.h
        ${SOURCEDIR}/gui/ReorderFieldsDialog.h
        ${SOURCEDIR}/gui/RestoreFrame.h
        ${SOURCEDIR}/gui/ServerRegistrationDialog.h
        ${SOURCEDIR}/gui/SimpleHtmlFrame.h
        ${SOURCEDIR}/gui/StatementHistoryDialog.h
        ${SOURCEDIR}/gui/StyleGuide.h
        ${SOURCEDIR}/gui/UserDialog.h
        ${SOURCEDIR}/gui/UsernamePasswordDialog.h
        ${SOURCEDIR}/Isaac.h
        ${SOURCEDIR}/logger.h
        ${SOURCEDIR}/main.h
        ${SOURCEDIR}/MasterPassword.h
        ${SOURCEDIR}/metadata/collection.h
        ${SOURCEDIR}/metadata/column.h
        ${SOURCEDIR}/metadata/constants.h
        ${SOURCEDIR}/metadata/constraints.h
        ${SOURCEDIR}/metadata/CreateDDLVisitor.h
        ${SOURCEDIR}/metadata/database.h
        ${SOURCEDIR}/metadata/domain.h
        ${SOURCEDIR}/metadata/exception.h
        ${SOURCEDIR}/metadata/function.h
        ${SOURCEDIR}/metadata/generator.h
        ${SOURCEDIR}/metadata/Index.h
        ${SOURCEDIR}/metadata/MetadataClasses.h
        ${SOURCEDIR}/metadata/metadataitem.h
        ${SOURCEDIR}/metadata/MetadataItemCreateStatementVisitor.h
        ${SOURCEDIR}/metadata/MetadataItemDescriptionVisitor.h
        ${SOURCEDIR}/metadata/MetadataItemURIHandlerHelper.h
        ${SOURCEDIR}/metadata/MetadataItemVisitor.h
        ${SOURCEDIR}/metadata/MetadataTemplateManager.h
        ${SOURCEDIR}/metadata/package.h
        ${SOURCEDIR}/metadata/parameter.h
        ${SOURCEDIR}/metadata/privilege.h
        ${SOURCEDIR}/metadata/procedure.h
        ${SOURCEDIR}/metadata/relation.h
        ${SOURCEDIR}/metadata/role.h
        ${SOURCEDIR}/metadata/root.h
        ${SOURCEDIR}/metadata/server.h
        ${SOURCEDIR}/metadata/table.h
        ${SOURCEDIR}/metadata/trigger.h
        ${SOURCEDIR}/metadata/view.h
        ${SOURCEDIR}/metadata/User.h
        ${SOURCEDIR}/sql/Identifier.h
        ${SOURCEDIR}/sql/IncompleteStatement.h
        ${SOURCEDIR}/sql/MultiStatement.h
        ${SOURCEDIR}/sql/SelectStatement.h
        ${SOURCEDIR}/sql/SqlStatement.h
        ${SOURCEDIR}/sql/SqlTokenizer.h
        ${SOURCEDIR}/sql/StatementBuilder.h
        ${SOURCEDIR}/statementHistory.h
)

# IBPP static lib source files
list(APPEND IBPP_SOURCE_LIST
        ${SOURCEDIR}/ibpp/_dpb.cpp

## flamerobin 0.9.3~svn+2180

=== debian/changelog ===
flamerobin (0.9.3~svn+2180-1) unstable; urgency=low

  * New upstream SVN snapshot
  * drop fix-deprecated-ibpp-constant.patch (applied upstream)
  * add patch fixing FTBFS because of passing wxString to '...' arglist
  * update copyright summary

 -- Damyan Ivanov <dmn@debian.org>  Sat, 11 Jun 2011 14:31:39 +0300

flamerobin (0.9.3~svn+2106-1) unstable; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Sat, 30 Apr 2011 17:43:45 +0300

flamerobin (0.9.3~svn+2105-1) unstable; urgency=low

  * New upstream SVN snapshot
   + If main window close event can be vetoed then loop through all other
     BaseFrame instances and check whether they veto the closing (check for
     open transactions, unsaved changes to files, active background work and so
     on). Replaces the previous confirmation dialog that was always shown.
   + Store last selected authentication mode for database creation as selection
     index of the choice control instead of string selection because the
     entries are translatable strings
   + Correct value of ExecuteSqlFrame status bar pane with database connection
     info restored
   + LogTextControl modified to be read-only, custom context menu implemented
     for selecting, copying and clearing the content
   + Regression fixed: parameter data type weren't shown in procedure property
     pages any more

 -- Damyan Ivanov <dmn@debian.org>  Fri, 29 Apr 2011 11:34:05 +0300

flamerobin (0.9.3~svn+2100-1) unstable; urgency=low

  * New upstream SVN snapshot
  * Upload to unstable
   + stop using system-wide ibase.h.
     Unstable has no fb3.0 so system-wide ibase.h has no boolean defines,
     which are used by FR and were ported to IBPP's embedded copy of ibase.h
   + build-depend on firebird2.5-dev instead of firebird-dev
     firebird-dev is only in experimental

 -- Damyan Ivanov <dmn@debian.org>  Sat, 23 Apr 2011 19:40:40 +0300

flamerobin (0.9.3~svn+2092-1) experimental; urgency=low

  * New upstream SVN snapshot
    + fixes a crash in database registration introduced by previous version

 -- Damyan Ivanov <dmn@debian.org>  Sun, 10 Apr 2011 10:20:05 +0300

flamerobin (0.9.3~svn+2091-1) experimental; urgency=low

  * New upstream SVN snapshot

  * pack-upstream-snapshot, mangle-svn-rev: shorten version string
  * copyright: update years of upstream copyright
  * Standards-Version: 3.9.2 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Apr 2011 10:39:46 +0300

flamerobin (0.9.3~svn20110107r2084-1) experimental; urgency=low

  * New upstream SVN snapshot

  * rules: force usage of system ibase.h. IBPP contains an embedded
    copy, which may become stale
  * Fix usage of a deprecated isc_info_db_SQL_dialect in IBPP
  * build-depend on firebird-dev for boolean support
  * copyright: note that src/ibpp/ibase.h uses Interbase Public Licesne

 -- Damyan Ivanov <dmn@debian.org>  Thu, 13 Jan 2011 14:44:09 +0200

flamerobin (0.9.3~svn20101115r2079-1) experimental; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Sat, 20 Nov 2010 17:37:12 +0200

flamerobin (0.9.3~svn20101024r2048-1) experimental; urgency=low

  * New upstream SVN snapshot

  * add abort-on-upstream-changes to debian/source/local-options

 -- Damyan Ivanov <dmn@debian.org>  Tue, 26 Oct 2010 07:46:30 +0300

flamerobin (0.9.3~svn20101010r2017-1) experimental; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Tue, 12 Oct 2010 08:53:13 +0300

flamerobin (0.9.3~svn20101001r1977-1) experimental; urgency=low

  * New upsttream SVN snapshot
  * rules/clean: invoke unmangle-svn-rev.sh
  * use `3.0 (quilt)' source format

 -- Damyan Ivanov <dmn@debian.org>  Sat, 02 Oct 2010 16:12:45 +0300

flamerobin (0.9.3~svn20100913r1941-1) experimental; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Fri, 17 Sep 2010 10:10:43 +0300

flamerobin (0.9.3~svn20100913r1939-1) experimental; urgency=low

  * New upstream SVN snapshot
  * rules: use dh --parallel (and require debhelper 7.4.10)
  * README.source: explain Git branch usage, fix instructions for obtaining
    snapshot tarballs and improve formatting

 -- Damyan Ivanov <dmn@debian.org>  Mon, 13 Sep 2010 12:48:33 +0300

flamerobin (0.9.3~svn20100910r1937-1) experimental; urgency=low

  * New upstream SVN snapshot
  * Standards-Version: 3.9.1 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 11 Sep 2010 21:20:29 +0300

flamerobin (0.9.3~svn20100621r1918-1) experimental; urgency=low

  * debian/pack-upstream-snapshot.sh: add --format to git log calls
  * New upstream SVN snapshot
    + control: add libboost-dev to build-dependencies

 -- Damyan Ivanov <dmn@debian.org>  Mon, 21 Jun 2010 13:25:51 +0300

flamerobin (0.9.3~svn20100527r1897-1) experimental; urgency=low

  * New upstream SVN snapshot
    + features BLOB editor

  * bump years of upstream copyright

  * debian/pack-upstream-snapshot.sh improvements
    + use 'git foo' instead of 'git-foo'
    + work directly with orig/upstream-svn branch
    + determine version from src/frversion.h
  * Standards-Version: 3.8.4 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 29 May 2010 11:59:51 +0300

flamerobin (0.9.2-2) unstable; urgency=low

  * build-depend on firebird2.1-dev instead of firebird2.0-dev
  * adopt debhelper 7 tiny rules
    + some of the work delegated to files under debian/
    + prepend 'dh $@' with a plus to allow parallel building
  * Standards-Version: 3.8.3
    + change section to 'database'
  * build with fresh config.{sub,quess}; add autotools-dev to B-D

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Sep 2009 18:02:54 +0300

flamerobin (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright
  * update README.source and pack-upstream-snapshot.sh to refer to the new
    upstream-svn branch
    + also mention how nrmal upstream releases are handled


=== debian/control ===
Source: flamerobin
Section: database
Priority: optional
Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 7.4.10~),
 firebird2.5-dev,
 html2text,
 libboost-dev,
 libwxgtk2.8-dev
Build-Conflicts: libwxgtk2.6-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/flamerobin.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/flamerobin.git
Homepage: http://www.flamerobin.org/

Package: flamerobin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical database administration tool for Firebird DBMS
 FlameRobin is a graphical database administration tool for Firebird database
 management system.
 .
 Its goals are:
   - to be lightweight (small footprint, fast execution)
   - cross-platform (Linux, Windows for start, others planned too)
   - dependent only on other open source software
 .
 You need to setup firebird server on local or remote machine before using
 FlameRobin. See packages firebird2.0-super and firebird2.0-classic.

## flamerobin 0.9.3~svn+2188

=== debian/changelog ===
flamerobin (0.9.3~svn+2188-3) unstable; urgency=low

  * fix the version of the dpkg-dev build-dependency
  * build-depend on firebird-dev, instead of the transitional firebird2.5-dev

 -- Damyan Ivanov <dmn@debian.org>  Tue, 11 Oct 2011 12:51:39 +0300

flamerobin (0.9.3~svn+2188-2) unstable; urgency=low

  * control: refer to firebird 2.5 instead of 2.0
    also add superclassic to the possible server packages
  * rules: move --parallel after $@ in the dh catchall rule
  * use dpkg-buildflags to feed configure

 -- Damyan Ivanov <dmn@debian.org>  Wed, 28 Sep 2011 14:55:47 +0300

flamerobin (0.9.3~svn+2188-1) unstable; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Sun, 11 Sep 2011 12:56:39 +0300

flamerobin (0.9.3~svn+2187-1) unstable; urgency=low

  * New upstream SVN snapshot
    + drop no-copy-dotdotdot-wxString.patch (applied upstream)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 08 Sep 2011 17:14:08 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Build-Depends:
  autotools-dev,
  debhelper (>= 7.4.10~),
- firebird2.5-dev,
+ dpkg-dev (>= 1.16.1~),
+ firebird-dev,
  html2text,
  libboost-dev,
  libwxgtk2.8-dev
@@ -28,4 +29,5 @@
    - dependent only on other open source software
  .
  You need to setup firebird server on local or remote machine before using
- FlameRobin. See packages firebird2.0-super and firebird2.0-classic.
+ FlameRobin. See packages firebird2.5-super, firebird2.5-superclassic and
+ firebird2.5-classic.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

IBASE=src/ibpp/ibase.h

override_dh_auto_configure:
	sh debian/mangle-svn-rev.sh
	[ -e config.sub-ORIG ]   || mv config.sub   config.sub-ORIG
	[ -e config.guess-ORIG ] || mv config.guess config.guess-ORIG
	#! [ -e $(IBASE) ]        || mv $(IBASE) $(IBASE)-ORIG
	cp /usr/share/misc/config.sub .
	cp /usr/share/misc/config.guess .
	chmod u+x configure
	dh_auto_configure -- $(shell dpkg-buildflags --export=configure)
	
	# the build process may change this file. save a copy
	# and restore it in clean
	cp src/frsvnrev.h src/frsvnrev.h-ORIG

override_dh_auto_clean:
	dh_auto_clean
	if [ -f Makefile ]; then $(MAKE) distclean; fi
	[ ! -e src/frsvnrev.h-ORIG ] || mv -f src/frsvnrev.h-ORIG src/frsvnrev.h
	[ ! -e config.sub-ORIG ]   || mv config.sub-ORIG   config.sub
	[ ! -e config.guess-ORIG ] || mv config.guess-ORIG config.guess
	#[ ! -e $(IBASE)-ORIG ] || [ -e $(IBASE) ] || mv $(IBASE)-ORIG $(IBASE)
	sh debian/unmangle-svn-rev.sh

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/flamerobin/usr

override_dh_installchangelogs:
	html2text docs/fr_whatsnew.html > upstream-changelog
	dh_installchangelogs upstream-changelog

## flamerobin 0.9.3~svn+2197

=== debian/changelog ===
flamerobin (0.9.3~svn+2197-1) unstable; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Mon, 16 Jan 2012 10:03:10 +0200

## flamerobin 0.9.3~svn+2212

=== debian/changelog ===
flamerobin (0.9.3~svn+2212-1) unstable; urgency=low

  * New upstream SVN snapshot
  * bump years of upstream copyright

 -- Damyan Ivanov <dmn@debian.org>  Sun, 29 Jan 2012 09:35:25 +0200

## flamerobin 0.9.3~svn+2216

=== debian/changelog ===
flamerobin (0.9.3~svn+2216-1) unstable; urgency=low

  * New upstream SVN snapshot

  * Install larger icon to pixmaps/ for nicer gnome3 (at least) experience

 -- Damyan Ivanov <dmn@debian.org>  Fri, 03 Feb 2012 11:35:40 +0200

## flamerobin 0.9.3~svn+2220

=== debian/changelog ===
flamerobin (0.9.3~svn+2220-1) unstable; urgency=low

  * New upstream SVN snapshot
    + Enable "Set field to NULL" command for blob fields
    + Enable "Set field to NULL" command for current field if grid has no cells
      selected
    + Invalidate grid cell attribute cache to properly update text color if
      field null status has changed
    + Warnings (signed <-> unsigned comparison) fixed
    + Fix for SF.net bug tracker items #3516047 and #2018533: use larger result
      buffer (65535 instead of 8000) and don't parse past the length of the 
    + Don't show Drop and Properties commands for view columns (and fix crash
      in Column::getDropSqlStatement() when called for view columns)
  * Standards-Version: 3.9.3 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 30 Jun 2012 18:53:10 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libboost-dev,
  libwxgtk2.8-dev
 Build-Conflicts: libwxgtk2.6-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/flamerobin.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/flamerobin.git
 Homepage: http://www.flamerobin.org/

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 
 override_dh_auto_install:
 	$(MAKE) install prefix=$(CURDIR)/debian/flamerobin/usr
+	cp res/fricon128.png $(CURDIR)/debian/flamerobin/usr/share/pixmaps/flamerobin.png
 
 override_dh_installchangelogs:
 	html2text docs/fr_whatsnew.html > upstream-changelog

## flamerobin 0.9.3~%2B20160512.c75f8618

=== debian/control ===
Source: flamerobin
Section: database
Priority: optional
Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends:
 autotools-dev,
 chrpath,
 debhelper (>= 9~),
 firebird-dev,
 html2text,
 libboost-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libwxgtk3.0-dev
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/debian/flamerobin.git
Vcs-Browser: https://salsa.debian.org/debian/flamerobin
Homepage: http://www.flamerobin.org/
Rules-Requires-Root: no

Package: flamerobin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: firebird3.0-server
Description: graphical database administration tool for Firebird DBMS
 FlameRobin is a graphical database administration tool for Firebird database
 management system.
 .
 Its goals are:
   - to be lightweight (small footprint, fast execution)
   - cross-platform (Linux, Windows for start, others planned too)
   - dependent only on other open source software
 .
 You need to setup firebird server on local or remote machine before using
 FlameRobin. See package firebird3.0-server.

## flamerobin 0.9.3~+20140206.3f9645c

=== debian/changelog ===
flamerobin (0.9.3~+20140206.3f9645c-3ubuntu1) utopic; urgency=medium

  * Disable precompiled headers on arm64, which currently cause occasional
    build failures.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Jun 2014 13:56:47 +0100

flamerobin (0.9.3~+20140206.3f9645c-3) unstable; urgency=medium

  * Add patch from Michael Hieke to work around issues between wx3.0 and
    g++-4.9. (Closes: #746847)
  * Declare conformance with Policy 3.9.5 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 03 Jun 2014 11:59:21 +0300

flamerobin (0.9.3~+20140206.3f9645c-2) unstable; urgency=medium

  * Upload to unstable, there is no freeze to be disrupted, yet

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Mar 2014 11:22:21 +0200

flamerobin (0.9.3~+20140206.3f9645c-1) experimental; urgency=medium

  * use xz compression for snapshot source tarball
  * New upstream snapshot
    + add support for more Firebird 3.0 reserved keywords
    + ask before deleting unsaved changes to SQL files
  * switch to WxWidgets 3.0 (Closes: #742092)
    Thanks to Olly Betts for the patch and the testing

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Mar 2014 10:49:46 +0200

flamerobin (0.9.3~+20131014.97b278c-1) experimental; urgency=low

  * New upstream snapshot
    + Upstream switched development to Git
      - adapt pack-upstream-snapshot.sh
    + add patch to not re-create revisioninfo.h during build
    + update debian/copyright
  * update debian/copyright (years, new files)
  * remove RPATH from flamerobin binary by using chrpath -d

 -- Damyan Ivanov <dmn@debian.org>  Mon, 14 Oct 2013 14:54:22 +0300

flamerobin (0.9.3~svn+2250-1) experimental; urgency=low

  * New upstream SVN snapshot
  * Upload to experimental to avoid disturbing the freeze

  * add boost to build-dependencies
  * adjust revision mangling code to new upstream
  * update debian/copyright (new m4 macros)
  * d/rules: plug a nasty sed hack to disable rpath in generated Makefile
  * use canonical Vcs-* locations (thanks, lintian)
  * Standards-Version: 3.9.4 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 26 Dec 2012 21:47:46 +0200

=== debian/control ===
Source: flamerobin
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends:
 autotools-dev,
 chrpath,
 debhelper (>= 7.4.10~),
 dpkg-dev (>= 1.16.1~),
 firebird-dev,
 html2text,
 libboost-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libwxgtk3.0-dev
Build-Conflicts: libwxgtk2.6-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/flamerobin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flamerobin.git
Homepage: http://www.flamerobin.org/

Package: flamerobin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical database administration tool for Firebird DBMS
 FlameRobin is a graphical database administration tool for Firebird database
 management system.
 .
 Its goals are:
   - to be lightweight (small footprint, fast execution)
   - cross-platform (Linux, Windows for start, others planned too)
   - dependent only on other open source software
 .
 You need to setup firebird server on local or remote machine before using
 FlameRobin. See packages firebird2.5-super, firebird2.5-superclassic and
 firebird2.5-classic.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,15 @@
 	dh $@ --parallel
 
 IBASE=src/ibpp/ibase.h
+
+REV_FILE=src/revisioninfo.h
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(DEB_HOST_ARCH),arm64)
+confflags := --disable-precomp-headers
+else
+confflags :=
+endif
 
 override_dh_auto_configure:
 	sh debian/mangle-svn-rev.sh
@@ -13,16 +22,21 @@
 	cp /usr/share/misc/config.sub .
 	cp /usr/share/misc/config.guess .
 	chmod u+x configure
-	dh_auto_configure -- $(shell dpkg-buildflags --export=configure)
+	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) $(confflags)
+	sed -i 's|-Wl,-R/usr/local/lib ||' Makefile
 	
 	# the build process may change this file. save a copy
 	# and restore it in clean
-	cp src/frsvnrev.h src/frsvnrev.h-ORIG
+	cp $(REV_FILE) $(REV_FILE)-ORIG
+
+override_dh_auto_build:
+	dh_auto_build -O--parallel
+	chrpath -d flamerobin
 
 override_dh_auto_clean:
 	dh_auto_clean
 	if [ -f Makefile ]; then $(MAKE) distclean; fi
-	[ ! -e src/frsvnrev.h-ORIG ] || mv -f src/frsvnrev.h-ORIG src/frsvnrev.h
+	[ ! -e $(REV_FILE)-ORIG ] || mv -f $(REV_FILE)-ORIG $(REV_FILE)
 	[ ! -e config.sub-ORIG ]   || mv config.sub-ORIG   config.sub
 	[ ! -e config.guess-ORIG ] || mv config.guess-ORIG config.guess
 	#[ ! -e $(IBASE)-ORIG ] || [ -e $(IBASE) ] || mv $(IBASE)-ORIG $(IBASE)

## flamerobin 0.9.3~+20150308.6c0559c

=== debian/changelog ===
flamerobin (0.9.3~+20150308.6c0559c-1build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:19:00 +0200

flamerobin (0.9.3~+20150308.6c0559c-1) unstable; urgency=medium

  * New upstream snapshot
  * bump years of usptream copyright
  * Patch configure to make boost library version detection work with CPP-5
    Closes: #777850 -- ftbfs with GCC-5
  * Declare conformance to Policy 3.9.6

 -- Damyan Ivanov <dmn@debian.org>  Fri, 26 Jun 2015 08:43:43 +0000

flamerobin (0.9.3~+20140206.3f9645c-4) unstable; urgency=medium

  * remove wx3.0-vs-gcc4.9.patch as no longer needed
    the gcc-4.9 problem was fixed and wx 3.0.2 has a workaround for it anyway
    Thanks to Olly Betts. Closes: #764404

 -- Damyan Ivanov <dmn@debian.org>  Tue, 07 Oct 2014 21:07:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: flamerobin
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
+Maintainer: Damyan Ivanov <dmn@debian.org>
 Build-Depends:
  autotools-dev,
  chrpath,
@@ -15,7 +14,7 @@
  libboost-thread-dev,
  libwxgtk3.0-dev
 Build-Conflicts: libwxgtk2.6-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/flamerobin.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flamerobin.git
 Homepage: http://www.flamerobin.org/

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,6 @@
 
 REV_FILE=src/revisioninfo.h
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifeq ($(DEB_HOST_ARCH),arm64)
-confflags := --disable-precomp-headers
-else
-confflags :=
-endif
-
 override_dh_auto_configure:
 	sh debian/mangle-svn-rev.sh
 	[ -e config.sub-ORIG ]   || mv config.sub   config.sub-ORIG
@@ -22,7 +15,7 @@
 	cp /usr/share/misc/config.sub .
 	cp /usr/share/misc/config.guess .
 	chmod u+x configure
-	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) $(confflags)
+	dh_auto_configure -- $(shell dpkg-buildflags --export=configure)
 	sed -i 's|-Wl,-R/usr/local/lib ||' Makefile
 	
 	# the build process may change this file. save a copy

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php flamerobin-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/flamerobin-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/flamerobin-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
http://sf.net/flamerobin/flamerobin-(.*)-src\.tar\.gz

## flamerobin 0.9.3~+20160512.c75f8618

=== debian/changelog ===
flamerobin (0.9.3~+20160512.c75f8618-3build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:23:22 +0000

flamerobin (0.9.3~+20160512.c75f8618-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Damyan Ivanov ]
  * build against libwxgtk3.0-gtk3-dev (Closes: #933413)
  * install 'Whats new' document as 'NEWS'
    Policy v4.2.0, §12.7
  * Declare conformance with Policy 4.4.0

 -- Damyan Ivanov <dmn@debian.org>  Wed, 31 Jul 2019 14:33:46 +0000

flamerobin (0.9.3~+20160512.c75f8618-2) unstable; urgency=medium

  * accommodate upstream changes into debian/copyright

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 Feb 2018 20:48:38 +0000

flamerobin (0.9.3~+20160512.c75f8618-1) unstable; urgency=medium

  * New upstream version 0.9.3~+20160512.c75f8618
  * drop out/confgure-gcc5.patch, issue fixed upstream
  * drop upstream/debug-flags.patch, issue fixed upstream
  * Vcs-*: alioth → salsa
  * suggest firebird3.0 (instead of 2.5) in the long description
  * drop obsolete build-conflicts with libwxgtk2.6-dev
  * drop the explicit dpkg build-dependency (version available in
    oldoldstable)
  * declare that no rules target requires root
  * declare conformance with Policy 4.1.3
  * update README.source to match reality

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 Feb 2018 19:31:27 +0000

flamerobin (0.9.3~+20150308.6c0559c-2) unstable; urgency=medium

  * Add a patch from gh/mariuz/flamerobin.git passing -DNDEBUG to c++ flags in
    no-debug builds. Closes: LP#1705293
  * drop menu file
  * use https:// for Vcs-* URLs
  * bump debhelper compatibility level to 9
  * Turn on all hardening options via DEB_BUILD_MAINT_OPTIONS=hardening=+all
  * Declare conformance with Policy 4.0.0
  * Patch a couple spelling mistakes in error messages

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Jul 2017 17:33:37 +0000

=== debian/control ===
Source: flamerobin
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends:
 autotools-dev,
 chrpath,
 debhelper (>= 9~),
 firebird-dev,
 html2text,
 libboost-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libwxgtk3.0-gtk3-dev
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/debian/flamerobin.git
Vcs-Browser: https://salsa.debian.org/debian/flamerobin
Homepage: http://www.flamerobin.org/
Rules-Requires-Root: no

Package: flamerobin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: firebird3.0-server
Description: graphical database administration tool for Firebird DBMS
 FlameRobin is a graphical database administration tool for Firebird database
 management system.
 .
 Its goals are:
   - to be lightweight (small footprint, fast execution)
   - cross-platform (Linux, Windows for start, others planned too)
   - dependent only on other open source software
 .
 You need to setup firebird server on local or remote machine before using
 FlameRobin. See package firebird3.0-server.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 IBASE=src/ibpp/ibase.h
 
 REV_FILE=src/revisioninfo.h
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 override_dh_auto_configure:
 	sh debian/mangle-svn-rev.sh
@@ -39,6 +41,6 @@
 	$(MAKE) install prefix=$(CURDIR)/debian/flamerobin/usr
 	cp res/fricon128.png $(CURDIR)/debian/flamerobin/usr/share/pixmaps/flamerobin.png
 
-override_dh_installchangelogs:
-	html2text docs/fr_whatsnew.html > upstream-changelog
-	dh_installchangelogs upstream-changelog
+override_dh_installdocs:
+	html2text docs/fr_whatsnew.html > NEWS
+	dh_installdocs

=== debian/watch ===
--- 
+++ 
@@ -14,6 +14,6 @@
 #ftp://ftp.example.com/pub/flamerobin-(.*)\.tar\.gz debian uupdate
 
 # Uncomment to find new files on sourceforge, for debscripts >= 2.9
-http://sf.net/flamerobin/flamerobin-(.*)-src\.tar\.gz
+https://sf.net/flamerobin/flamerobin-(.*)-src\.tar\.gz

## flamerobin 0.9.3.6

=== debian/changelog ===
flamerobin (0.9.3.6-2) unstable; urgency=medium

  * ensure proper migration from docs symlink to directory and vice versa
    .
    In 0.9.3.5-1 /usr/share/flamerobin/docs was moved to
    /usr/share/doc/flamerobin/html with a symlink at the old location
    .
    Old state
      /usr/share/doc/flamerobin/html -> ../../flamerobin/docs
      /usr/share/flamerobin/docs -- a directory with HTML files
    New state
      /usr/share/doc/flamerobin/html -- a directory with HTML files
      /usr/share/flamerobin/docs -> ../doc/flamerobin/html
    .
    Since dpkg won't do dir<->symlink conversions, add maintscript for the
    two transitions. Also add Pre-Depends on dpkg 1.17.14 for maintscript
    support.
    .
    Thanks to Andreas Beckmann for reporting (Closes: #985289)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 19 Mar 2021 05:54:27 +0000

flamerobin (0.9.3.6-1) unstable; urgency=medium

  * New upstream snapshot release
   + drop out/fix-table-list-gh142.patch, released upstream

 -- Damyan Ivanov <dmn@debian.org>  Mon, 11 Jan 2021 08:07:02 +0000

flamerobin (0.9.3.5-2) unstable; urgency=medium

  * Patch a workaround for rdb$relation_type being NULL (Closes: #979211)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Jan 2021 13:29:19 +0000

flamerobin (0.9.3.5-1) unstable; urgency=medium

  * New upstream version 0.9.3.5
  * update debian/copyright
  * switch build to cmake, drop boost
  * install manual from docs/flamerobin.1
  * put docs under /usr/share/doc/flamerobin
  * bump Standards-Version to 4.5.1 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 02 Jan 2021 10:47:11 +0000

flamerobin (0.9.3.4-1) unstable; urgency=medium

  * New upstream version 0.9.3.4
  * drop out/spelling.patch applied upstream
  * switch to debhelper compatibility level 13

 -- Damyan Ivanov <dmn@debian.org>  Wed, 16 Sep 2020 05:40:47 +0000

flamerobin (0.9.3.3-1) unstable; urgency=medium

  * switch debian/watch to track github releases
  * New upstream version 0.9.3.3
  * update years of upstream copyright
  * adapt d/rules to generate src/revisioninfo.h if it doesn't exist
  * declare conformance with Policy 4.5.0 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 03 Sep 2020 09:44:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,15 @@
 Source: flamerobin
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
+Maintainer: Damyan Ivanov <dmn@debian.org>
 Build-Depends:
- autotools-dev,
  chrpath,
- debhelper (>= 9~),
+ cmake,
+ debhelper-compat (= 13),
  firebird-dev,
  html2text,
- libboost-dev,
- libboost-system-dev,
- libboost-thread-dev,
  libwxgtk3.0-gtk3-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/flamerobin.git
 Vcs-Browser: https://salsa.debian.org/debian/flamerobin
 Homepage: http://www.flamerobin.org/
@@ -21,6 +17,7 @@
 
 Package: flamerobin
 Architecture: any
+Pre-Depends: dpkg (>= 1.17.14)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: firebird3.0-server
 Description: graphical database administration tool for Firebird DBMS

=== debian/rules ===
#!/usr/bin/make -f

export ACLOCAL=/bin/true

%:
	dh $@ -Scmake

IBASE=src/ibpp/ibase.h

REV_FILE=src/revisioninfo.h

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
	sh debian/mangle-svn-rev.sh
	cp $(REV_FILE) $(REV_FILE)-ORIG
	dh_auto_configure -Scmake

override_dh_auto_clean:
	dh_auto_clean -Scmake
	rm -rf build
	[ ! -e $(REV_FILE)-ORIG ] || mv -f $(REV_FILE)-ORIG $(REV_FILE)
	[ ! -e $(REV_FILE)-by-debian ] || rm $(REV_FILE) $(REV_FILE)-by-debian
	sh debian/unmangle-svn-rev.sh

override_dh_auto_install:
	dh_auto_install -Scmake
	cp res/fricon128.png $(CURDIR)/debian/flamerobin/usr/share/pixmaps/flamerobin.png
	mkdir -p $(CURDIR)/debian/flamerobin/usr/share/doc/flamerobin
	mv  $(CURDIR)/debian/flamerobin/usr/share/flamerobin/docs \
	    $(CURDIR)/debian/flamerobin/usr/share/doc/flamerobin/html

override_dh_installdocs:
	html2text docs/fr_whatsnew.html > NEWS
	dh_installdocs

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flamerobin-$1.tar.gz%" \
      https://github.com/mariuz/flamerobin/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## flamerobin 0.9.3.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -63,9 +63,12 @@
         ${SOURCEDIR}/addconstrainthandler.cpp
         ${SOURCEDIR}/config/Config.cpp
         ${SOURCEDIR}/config/DatabaseConfig.cpp
+        ${SOURCEDIR}/config/LocalSettings.cpp
         ${SOURCEDIR}/core/ArtProvider.cpp
         ${SOURCEDIR}/core/CodeTemplateProcessor.cpp
+        ${SOURCEDIR}/core/FRDecimal.cpp
         ${SOURCEDIR}/core/FRError.cpp
+        ${SOURCEDIR}/core/FRInt128.cpp
         ${SOURCEDIR}/core/Observer.cpp
         ${SOURCEDIR}/core/ProgressIndicator.cpp
         ${SOURCEDIR}/core/StringUtils.cpp
@@ -171,9 +174,12 @@
 list(APPEND HEADER_LIST
         ${SOURCEDIR}/config/Config.h
         ${SOURCEDIR}/config/DatabaseConfig.h
+        ${SOURCEDIR}/config/LocalSettings.h
         ${SOURCEDIR}/core/ArtProvider.h
         ${SOURCEDIR}/core/CodeTemplateProcessor.h
+        ${SOURCEDIR}/core/FRDecimal.h
         ${SOURCEDIR}/core/FRError.h
+        ${SOURCEDIR}/core/FRInt128.h
         ${SOURCEDIR}/core/ObjectWithHandle.h
         ${SOURCEDIR}/core/Observer.h
         ${SOURCEDIR}/core/ProcessableObject.h
@@ -274,12 +280,3 @@
         ${SOURCEDIR}/sql/IncompleteStatement.h
         ${SOURCEDIR}/sql/MultiStatement.h
         ${SOURCEDIR}/sql/SelectStatement.h
-        ${SOURCEDIR}/sql/SqlStatement.h
-        ${SOURCEDIR}/sql/SqlTokenizer.h
-        ${SOURCEDIR}/sql/StatementBuilder.h
-        ${SOURCEDIR}/statementHistory.h
-)
-
-# IBPP static lib source files
-list(APPEND IBPP_SOURCE_LIST
-        ${SOURCEDIR}/ibpp/_dpb.cpp
